module BootInit(
	input clk,
	input reset,
	
	input IOWE,
	
	output reg [31:0] IOData
	);
	
	reg state;
	
	always @(posedge clk) begin
		if(reset) begin
			IOData = 31'b0;
			state = 1'b0;
		end
			
		else begin
			case(state)
				1'b0:
				begin
					if(IOWE)
						state = ~state;
				end
				
				1'b1:
				begin
					if(~IOWE) begin
						state = ~state;
						IOData[0] = ~IOData[0];
					end
				end
				
			endcase
			
		end
	end
	
endmodule