module DebugControl(
	input switch0,
	input switch1,
	
	input [7:0] Inst1,
	input [7:0] Inst2,
	input [7:0] PCOut1,
	input [7:0] PCOut2,
	
	input [7:0] ALUOut1,
	input [7:0] ALUOut2,
	
	input DStall1,
	input IStall1,
	
	input DStall2,
	input IStall2,
	
	input IOStall2,
	input dc_Stall2,
	
	input InvEnable2,
	
	input Load2,
	input Store2,
	
	input IOStall1,
	input dc_Stall1, 
	
	input InvEnable1,
	
	input Load1,
	input Store1,
	
	input [2:0]CEState,
	input [4:0]DCache1State,
	input [4:0]DCache2State,
	
	output [7:0] Dbg1,
	output [7:0] Dbg2);
	
	wire [7:0] Dbg1, Dbg2;
	
	wire [1:0] switchblock;
	
	assign switchblock = {~switch0, ~switch1};
	
	assign Dbg1 = (switchblock == 2'b00) ? {1'b0, InvEnable1, Load1, Store1, DStall1, IStall1, IOStall1, dc_Stall1} : (switchblock == 2'b01) ? PCOut2[7:0] : (switchblock == 2'b10) ? {CEState[2:0], DCache1State[4:0]} : Inst1[7:0];
	assign Dbg2 = (switchblock == 2'b00) ? {1'b0, InvEnable2, Load2, Store2, DStall2, IStall2, IOStall2, dc_Stall2} : (switchblock == 2'b01) ? PCOut1[7:0] : (switchblock == 2'b10) ? {CEState[2:0], DCache2State[4:0]} : Inst2[7:0];
	
endmodule